<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [HistoryButtonProps](./react.historybuttonprops.md)

## HistoryButtonProps interface

<b>Signature:</b>

```typescript
export interface HistoryButtonProps 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [onClick?](./react.historybuttonprops.onclick.md) |  | () =&gt; void | <i>(Optional)</i> |
|  [showText?](./react.historybuttonprops.showtext.md) |  | boolean | <i>(Optional)</i> |
|  [steps?](./react.historybuttonprops.steps.md) |  | number | <i>(Optional)</i> |
|  [styles?](./react.historybuttonprops.styles.md) |  | IButtonStyles | <i>(Optional)</i> |
|  [title?](./react.historybuttonprops.title.md) |  | string | <i>(Optional)</i> |

